*,
::after,
::before {
  box-sizing: border-box;
  border-width: 0;
  border-style: solid;
  border-color: #e5e7eb;
}

.location-search-section {
  min-height: 450px;
}

.sidebar-container {
  width: 100%;
  padding-top: 2rem;
}

.sidebar__header {
  width: 100%;
}

.location-search-container {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  width: 90%;
}

.location-search-title {
  font-size: 2rem;
  font-weight: 600;
}

.search-label {
  color: var(--color-gray-700, #344054);
  font-size: 1rem;
  font-weight: 500;
  line-height: 20px;
  padding: .5rem 2rem;
  align-self: flex-start;
}

.location-search-form__input {
  border: 1px solid #ccc;
  border-radius: 2rem;
  padding: .8rem 2rem;
  width: 100%;
  color: #505050;
  font-size: 1rem;
}

.location-search-form__input:focus-visible {
  outline: 1px solid #000000;
}

.search-icon {
  position: absolute;
  right: 1.5rem;
  width: 20px;
  height: 20px;
  cursor: pointer;
  color: #ccc;
}

.map-container {
  position: relative;
  height: 250px;
  /* Set the height you want */
  width: 100%;
}

.map {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
}

/* Custom Popup Styles */
.mapboxgl-popup-content {
  font-family: Arial, sans-serif;
  background: #fff;
  padding: 20px;
  border-radius: 8px;
}

.mapboxgl-popup-content h4 {
  margin: 0 0 5px;
  font-size: 18px;
}

.mapboxgl-popup-content p {
  margin: 0;
  font-size: 14px;
}

.studio-cards {
  display: grid;
  grid-template-columns: 1fr;
  gap: 3rem;
  justify-content: center;
  margin-bottom: 5rem;
}

.studio-card__state {
  grid-column: 1 / -1;
}

.studio-card {
  display: grid;
  grid-template-columns: 1fr;
  justify-content: center;
  text-decoration-line: none;
  color: black;
}

.studio-card__img {
  max-width: 280px;
  min-height: 280px;
  margin-bottom: 1.5rem;
  border-radius: 3rem;
  justify-self: center;
  object-fit: cover;
}

.studio-card__title {
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 2rem;
  justify-self: center;
}

.studio-card__text {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
  text-align: center;
}

.studio-card__text:first-of-type {
  justify-self: center;
  margin-bottom: 0.5rem;
}

.studio-card__link {
  color: #DA1E28;
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
  text-decoration: none;
  margin-top: 1rem;

  display: inline-flex;
  justify-self: center;
  align-items: center;
}

.button-red-hovers {
  background-color: white;
  border: 2px solid #DA1E28;
  color: #DA1E28;
  border-radius: 100px;
  display: flex;
  padding: 10px 18px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 600;
  line-height: 1.25rem;
}

.button-red-hovers:hover {
  background-color: #da1e28;
  color: white;
}


@media (min-width: 768px) {
  .studio-cards {
    max-width: 704px;
    margin: 0 auto 3rem auto;
    grid-template-columns: repeat(2, 1fr);
  }

  .studio-card {
    max-width: 336px;
    margin: 0 auto;
    text-align: start;
  }

  .studio-card__title {
    justify-self: start;
  }

  .studio-card__text:first-of-type {
    justify-self: start;
  }

  .studio-card__text {
    text-align: start;
  }

  .studio-card__link {
    text-align: start;
    justify-self: start;
  }
}

@media (min-width: 992px) {
  .studio-cards {
    max-width: 1216px;
    grid-template-columns: repeat(3, 1fr);
  }

  .sidebar-container {
    padding: 2rem;
  }

  .sidebar__header {
    width: 100%;
  }

  .location-search-section {
    flex-direction: row;
    align-items: flex-start;
  }

  .map-container {
    position: relative;
    height: 500px;
    /* Set the height you want */
    width: 100%;
  }

  .sidebar-large {
    display: block;
  }
}

@media (min-width: 1300px) {
  .studio-cards {
    max-width: 1399px;
    grid-template-columns: repeat(4, 1fr);
  }
}
